#include <v_lib.h>
#include "../include/v_show.h"

void main()
{
	matrix4_t m1={
  		1,	1,	2,	2,
  		4,	2,	1,	1,
  		3,  3,  8,  6,
  		6,  6,  1,  4
  	};
	matrix4_t m2={
  		1,	1,	0,	2,
  		4,	2,	0,	1,
  		3,  3,  0,  6,
  		6,  6,  0,  4
  	};
	vec4_t v={
		17,	15,	57,	37
	};
	logStartConsoleLog();
	logUpperLevel(LOG_TRACE);

	showvec4(v);
	mat4Solve(m1,v);
	showvec4(v);

	mat4Solve(m2,v);
	showmat4(m2);
	showvec4(v);
	
	logStopConsoleLog();
}
